Bug 51466 - Accessibility:MAS 40: Info and Relationships is not defined correctly in "Options" dialog box
Summary: Accessibility:MAS 40: Info and Relationships is not defined correctly in "Opt...
Status: CONFIRMED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Accessibility (show other bugs)
Version: 4.3.0 (C9)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Adrian Murphy
URL:
Depends on:
Blocks:
 
Reported: 2017-01-12 09:09 UTC by v-sukals@microsoft.com
Modified: 2017-10-13 03:16 UTC (History)
4 users (show)

See Also:
Tags: a11ymas,wipro
Is this bug a regression?: ---
Last known good build:


Attachments
Inspect log1 (92.87 KB, image/png)
2017-01-12 09:09 UTC, v-sukals@microsoft.com
Details
Inspect log2 (94.24 KB, image/png)
2017-01-12 09:10 UTC, v-sukals@microsoft.com
Details
Narrator buddy log (74.80 KB, image/png)
2017-01-12 09:10 UTC, v-sukals@microsoft.com
Details
Issue is partially fixed- Inspect and Narrator buddy Logs (743.15 KB, application/x-zip-compressed)
2017-10-07 14:16 UTC, v-sukals@microsoft.com
Details

Description v-sukals@microsoft.com 2017-01-12 09:09:50 UTC
Created attachment 19288 [details]
Inspect log1

Repro Steps:
Scenario1:
1. Launch Visual Studio RC 2017
2. Open File+New Project+Select "Crossplatform" from the Left Pane
3. Select "Cross Platform App"."New Crossplatform" window opens
4. Select "Blank App" 
5. Press Ok button
6. Open Tools-->Options
7. "Options" window opens. Navigate to "Xamarin" and expand. 
8. Select "Android Settings"
9. Launch Inspect tool
10. From the inspect Left Tree find "Options" dialog box
11. Expand the dialog box and select "Java Development Kit Location"(Refer to Screenshot OptionsDialog-Inspect1)
12. Observe "Next child" and "Previous" properties in inspect
13. Similarly observe all the elements in the inspect tree for options dialog box

Scenario2:
1. Select "iOS" settings from left pane
2. Launch Inspect
3. Observe how the elements defined in inspect tree(Refer to Screenshot "iOS_Settings-Inspect)

Note: This issue is observed in overall xamarin Application.

Actual Behavior:
Next Child for "Java Development Kit Location" is "change" text
Previous is "C:\Program Files (x86)\Java\jdk1.8.0_92"

Expected Behavior:
Next Child for "Java Development Kit Location" is " should be  "C:\Program Files (x86)\Java\jdk1.8.0_92"

All elements should be defined in sequential order


User impact:
Narrator screen reader CAPS+Left/Right arrow Navigation depends up on the how the elements defined(Hierarchy in inspect). If the elements are not in sequential order user Rely on screen will get incorrect results and creates ambiguity
Comment 1 v-sukals@microsoft.com 2017-01-12 09:10:06 UTC
Created attachment 19289 [details]
Inspect log2
Comment 2 v-sukals@microsoft.com 2017-01-12 09:10:22 UTC
Created attachment 19290 [details]
Narrator buddy log
Comment 3 Nick Sadovyi 2017-09-05 13:44:20 UTC
Fixed (master)

Author: Nick
Commit: 86a0c010c77a54bb64b7b4183bf36eb6cc787b9b (xamarin/XamarinVS)
Comment 4 v-sukals@microsoft.com 2017-09-19 11:39:18 UTC
Xamarin version (master) is not available to verify the issue.
Comment 5 v-sukals@microsoft.com 2017-10-07 14:16:00 UTC
Created attachment 25204 [details]
Issue is partially fixed- Inspect and Narrator buddy Logs
Comment 6 v-sukals@microsoft.com 2017-10-07 14:25:12 UTC
Scenario 1 is fixed but scenario 2 is not fixed, hence reactivating the bug.
Observation in scenario 2:
1.The elements present in the window are not defined sequentially (For example: After "Keep API documentation on sync" checkbox, "Find Xamarin MAC Agent" button is defined in inspect tool)
2. Next child and Previous child are defined incorrectly for the elements. (For example: "Apple documentation" text is defined as Next child for "Keep API documentation on sync" checkbox)

Verified Windows Version:
Windows 10 Pro
OS Version 1703 (OS Build 15063.608)

Verified Visual Studio Build:
Visual Studio Enterprise 2017 d15rel
Version 15.5.0 Preview 1.0[27006.1.d15rel]
Xamarin Version: 4.8.0.559(dbde9cdd3)

Note: Please find the attachment for more info.
[Attachment: Issue is partially fixed-Inspect and Narrator buddy Logs]

Note You need to log in before you can comment on or make changes to this bug.